summaryrefslogtreecommitdiff
path: root/RED/run-fgbs24a.sh
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2024-02-28 15:51:52 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2024-02-28 15:51:52 +0100
commitc194ddf77142319d9b681d62ac11da77315916cf (patch)
treeb52f5e6f284fa1bd8b78150c84b36a498cb24796 /RED/run-fgbs24a.sh
parent7cd4b4bab00822b76801c8c5a7c8ba828e42babb (diff)
add remaining fgbs24a scripts
Diffstat (limited to 'RED/run-fgbs24a.sh')
-rwxr-xr-xRED/run-fgbs24a.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/RED/run-fgbs24a.sh b/RED/run-fgbs24a.sh
new file mode 100755
index 0000000..becee22
--- /dev/null
+++ b/RED/run-fgbs24a.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -e
+
+mkdir -p $(hostname)
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+
+(
+
+echo "prim-benchmarks RED (dfatool fgbs24a edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+# >2048 are not part of upstream
+for nr_dpus in 2543 2304 2048; do
+ for nr_tasklets in 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 VERSION=SINGLE; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 419430400 -x 1 || true
+ fi
+ done
+done
+echo "Completed at $(date)"
+) | tee "$(hostname)/fgbs24a.txt"